/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/
#include "fxlib.h"
#include "MonochromeLib.h"
#include "jouer.h"
#include "syscall.h"
#include "ecode.h"
//****************************************************************************
//  AddIn_main (Sample program main function)
//
//  param   :   isAppli   : 1 = This application is launched by MAIN MENU.
//                        : 0 = This application is launched by a strip in eACT application.
//
//              OptionNum : Strip number (0~3)
//                         (This parameter is only used when isAppli parameter is 0.)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
void record()
{
	   FONTCHARACTER DirName[]={'\\','\\','f','l','s','0','\\','r','u','n',0}; 
        FONTCHARACTER FileNamescore[]={'\\','\\','f','l','s','0','\\','r','u','n','\\','s','c','o','r','e','.','r','u','n',0}; 

        int key, file, hpts; 

        char affichage[21];
        char high_score[21];

       Bdisp_AllClr_DDVRAM();

        Bfile_CreateDirectory(DirName);
        Bfile_CreateFile(FileNamescore, 500);

        file =Bfile_OpenFile( FileNamescore , _OPENMODE_READ) ;
        Bfile_ReadFile( file, high_score, 10, 0); 
        Bfile_CloseFile( file );
        hpts = atoi( high_score );
		intToStr( affichage, hpts);
		locate(2,3);
		Print("Record :");
		Print(affichage);
		ML_display_vram();
}
void actualiser(int choix)
{
RestoreDisp(1);
ML_rectangle(48,(choix)*16-8,52,(choix)*16-4,1,BLACK,BLACK);
ML_display_vram();
ML_clear_vram();
}
int AddIn_main(int isAppli, unsigned short OptionNum)
{
	unsigned int touche;
	int choix = 1;
	int canRefreshUp = 0;
	int canRefreshDown = 0;
	int canRefreshExe = 0;
	unsigned char menu1[] = {7,192,8,32,16,16,16,16,16,16,16,16,16,16,8,32,31,224,59,96,115,112,227,56,195,31,195,15,227,0,127,0};
	unsigned char menu2[] = {126,0,6,0,6,0,15,0,31,128,57,192,48,192,48,192,96,96,96,96,96,96,224,112,192,48,192,48,192,48,192,48};

	srand(RTC_GetTicks());
    Bdisp_AllClr_DDVRAM();
	ML_bmp_16_or(menu1,6,17);
	ML_bmp_16_or(menu2,7,33);
	ML_rectangle(1,49,34,63,1,BLACK,BLACK);
	ML_rectangle(22,29,23,30,1,BLACK,BLACK);
	ML_pixel(34,49,WHITE);
	locate(11,2);
	Print("Jouer");
	locate(11,4);
	Print("Scores");
	locate(11,6);
	Print("Quitter");
	ML_display_vram();
	SaveDisp(1);
	actualiser(choix);
	while(1)
	{
		if(IsKeyDown(KEY_CTRL_UP)&&choix > 1&&canRefreshUp)
		{	

			choix--;
			actualiser(choix);
			canRefreshUp = 0;
		}
		else if(IsKeyUp(KEY_CTRL_UP))
			canRefreshUp = 1;
			
		if(IsKeyDown(KEY_CTRL_DOWN)&&choix <3&&canRefreshDown)
		{

			choix++;
			actualiser(choix);
			canRefreshDown = 0;
		}
		else if(IsKeyUp(KEY_CTRL_DOWN))
			canRefreshDown = 1;
		if(IsKeyDown(KEY_CTRL_EXE)&&canRefreshExe)
		{
			switch(choix)
			{
				case 1:
				jouer();
				gameOver();
				Sleep(1000);
				locate(4,7);
				Print("Appuyez sur EXE");
				 while(touche!=KEY_CTRL_EXE)
                {
                        GetKey(&touche);
                }
				touche = 0;
				ML_clear_vram();
				canRefreshExe = 0;
				actualiser(choix);
				break;
				case 2:
				record();
				locate(2,7);
				Print("Appuyez sur SHIFT");
				 while(touche!=KEY_CTRL_SHIFT)
                {
                        GetKey(&touche);
                }
				ML_clear_vram();
				canRefreshExe = 0;
				actualiser(choix);
				break;
				case 3:
				return 1;
				break;
			}
		}
		else if(IsKeyUp(KEY_CTRL_EXE))
			canRefreshExe = 1;
				
		
	
	}
/*	while(1)
	{	ML_rectangle(tmp->x,tmp->y,tmp->x+4,tmp->y+4,1, BLACK, BLACK);
		if(IsKeyDown(KEY_CTRL_SHIFT))
		{
			jouer();
			gameOver();
			Sleep(200);   //pause sur l'ecran du game over
		}
		if(IsKeyDown(KEY_CTRL_MENU))
			return 1;
	}
  /*  while(1)
	{
        GetKey(&key);
    }*/

    return 1;
}




//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section

