//rand() % (MAX - MIN + 1)) + MIN;//
#include <stdlib.h>

#include "MonochromeLib.h"
// #include "elements.h"
#include "plateformes.h"

#define MIN 7
#define PETIT 10
#define MOYEN 12
#define GRAND 16
unsigned char splus[] = {56,68,146,186,146,68,56,0};
/*unsigned char bouclier[] = {56,84,162,130,130,68,56,0};*/// Non utilisé
unsigned char smoins[] = {56,68,130,186,130,68,56,0};
unsigned char jetpack[] = {68,170,254,238,238,254,238,68};
/*unsigned char lapin[] = {68,170,170,170,186,68,130,170};*///Idem
unsigned char hasard[] = {0,56,68,4,8,16,0,16};
unsigned char ressort[] = {28,2,124,130,124,130,124,130};
unsigned char boulet[] = {0,0,0,0,0,224,240,238};
/*unsigned char bottes[] = {0,0,0,0,28,28,124,252};*///Idem
unsigned char vie[] = {0,0,68,206,68,74,0,0};
int a=127;

objet* ajouter(objet* debut);

type typeAGenerer;

int hauteurBloc = 0;

/*************************************************************************************************************************************************************/
void afficherPlateformes(objet* debut)
{		
		objet* tmp=NULL;

	tmp = debut;
	/* Tant que l'on n'est pas au bout de la liste */
	while(tmp != NULL)
	{	
		switch (tmp->typeObjet)//on regarde le type de l'objet
{
/*case BOTTES:
ML_bmp_8_or(bottes, tmp->x, tmp->y);
break;*/
case BLOC:
/* On affiche */
ML_rectangle(tmp->x,tmp->y,tmp->x+4,tmp->y+4,1, BLACK, BLACK); 
break;
case JETPACK:
ML_bmp_8_or(jetpack, tmp->x, tmp->y);
break;
case VIE:
ML_bmp_8_or(vie, tmp->x, tmp->y);
break;
case SPLUS:
ML_bmp_8_or(splus, tmp->x, tmp->y);
break;
case SMOINS:
ML_bmp_8_or(smoins, tmp->x, tmp->y);
break;
case BOULET:
ML_bmp_8_or(boulet, tmp->x, tmp->y);
break;
case RESSORT:
ML_bmp_8_or(ressort, tmp->x, tmp->y+1);
break;
case HASARD:
ML_bmp_8_or(hasard, tmp->x, tmp->y);
break;
		}
		/* On avance d'une case */
		tmp = tmp->suivant;
	}

				ML_display_vram();				/*Rafraichissement*/

				ML_clear_vram();

				}

/*************************************************************************************************************************************************************/
objet* genererPlateformes(objet* debut, perso* coureur)
{
	int random;
	int random2;
	a=105+rand()%16;
	random = rand()%15;
//	random = 14; //pour n'avoir que des objets (debug)
	if (appartient(random, 1, 3))  //Simple-> n-a
	{
		typeAGenerer = BLOC;
		hauteurBloc = 43;
		debut = ajouter(debut);
		
	}
	if(appartient(random, 4, 6))  //4-6:Double->grand, moyen, petit
	{
		typeAGenerer = BLOC;
		hauteurBloc = 43;
		debut = ajouter(debut);
		random2=rand()%4;
		switch(random2)
		{
			case 1:
			a+=PETIT;
			break;
			case2:
			a+=MOYEN;
			break;
			case3:
			a+=GRAND;
			break;
		}
		debut=ajouter(debut);
		
	}
	if(appartient(random, 7, 8))  	//7-8:Triple->premier décale, second décale, troisieme décale
	{
		typeAGenerer = BLOC;
		random2=rand()%6;
		hauteurBloc = 43;
		debut = ajouter(debut);
		if(random2 == 1)
			a+=PETIT;
		else
			a=a+MIN;
		debut = ajouter(debut);
		if(random2 == 2)
			a+=PETIT;
		else
			a=a+MIN;
		debut = ajouter(debut);
	
	}
	if(appartient(random, 9, 11))   		//9-11:Haut simple->n-a
	{
		typeAGenerer = BLOC;
		hauteurBloc = 36;
		debut = ajouter(debut);

	}
	if(appartient(random, 12, 13))    //12-13:Haut double-> petit
	{
		typeAGenerer = BLOC;
		hauteurBloc = 36;
		debut = ajouter(debut);
		a=a+PETIT;
		debut = ajouter(debut);
		
	}
	if(appartient(random, 14, 14))
	{
		if (coureur->statut==RIEN)
		{	
			typeAGenerer = randType();
			hauteurBloc = 40;

		}
		else typeAGenerer = BLOC;

		hauteurBloc = 43;
		debut = ajouter(debut);
	}

	return debut;
	
}

/*************************************************************************************************************************************************************/
objet* ajouter(objet* debut)
{		
		objet* temp;
		objet* nouveauBloc;
		temp = debut;		 
		nouveauBloc = (objet *) malloc(sizeof(objet));	 
		nouveauBloc->x = 127+a;
		nouveauBloc->y = hauteurBloc-(4*(typeAGenerer!=BLOC));
		nouveauBloc-> typeObjet = typeAGenerer;
		nouveauBloc->suivant = NULL;
		 if(debut == NULL)
	{			
				 return nouveauBloc;
	}
	else
	{
		while(temp->suivant != NULL)
		{
			temp = temp->suivant;
		}
		temp->suivant = nouveauBloc;
				 return debut;
	}
}

/*************************************************************************************************************************************************************/
void updatePlateformes(objet* debut, int ecart)
{

objet* temp;
//a=a-5;
temp=debut;
do
		{
			temp->x-=ecart;
			temp = temp->suivant;
		}
while(temp/*->suivant*/ != NULL);
}

/*************************************************************************************************************************************************************/
objet* supprimerElement(objet* debut)
{		
	objet* aRenvoyer;
    if(debut != NULL)
    {
        /* Si la liste est non vide, on se prépare à renvoyer l'adresse de
        l'élément en 2ème position */
        aRenvoyer = debut->suivant;
        /* On libère le premier élément */
        free(debut);
        /* On retourne le nouveau début de la liste */
        return aRenvoyer;
    }
    else
        return NULL;
}

/*************************************************************************************************************************************************************/
int appartient( int random, int val1, int val2)
{
if(random>=val1&&random<=val2)
return 1;
else
return 0;
}

/*************************************************************************************************************************************************************/
int test(x,y,w,h,x2, y2, w2, h2)
{
   if((x2 >= x + w) 	 // trop à droite
	|| (x2 + w2 <= x) // trop à gauche
	|| (y2 >= y + h) // trop en bas
	|| (y2 + h2 <= y))	// trop en haut
		  return 0; 
   else
		  return 1; 
}

/*************************************************************************************************************************************************************/
type collision(objet* debut, perso* coureur)
{
objet* temp;
type tempType;
temp=debut;
do
{

	if(temp->typeObjet==BLOC)
	{
		if(test(4, coureur->y+4,8,4, temp->x, temp->y, 4, 5)) { temp-> x=-2;
			return PIEDS; }
		if(test(4, coureur->y, 8, 4, temp->x, temp->y, 4, 5)) { temp-> x=-2;
			return TETE;}	
	}
	else
	{
		if(test(4, coureur->y,8,8,temp->x, temp->y,8,8))
		{
			tempType=temp->typeObjet;
			temp->x=-2;
			return tempType;
		}

}
if (temp->suivant!=NULL) temp=temp->suivant;

}
while (temp->x<20&&temp->suivant!=NULL);

		  return RIEN;
}

/*************************************************************************************************************************************************************/
objet* trouverDernier(objet* debut)
{
objet* tmp;
tmp=debut;
 while(tmp->suivant != NULL)
        {
            tmp = tmp->suivant;
        }
		return tmp;
}

/*************************************************************************************************************************************************************/
type randType()
{			
			int r = 0;
			r = rand()%9;
			switch(r)
			{
				case 1:
					return JETPACK;
				break;
				case 2:
					return SPLUS;
				break;
				case 3:
					return SPLUS;
				break;
				case 4:
					return SMOINS;	
				break;
				case 5:
					return VIE;
				break;
				case 6:
					return HASARD;
				break;
				case 7:
					return BOULET;
				break;
				case 8:
					return RESSORT;
				break;
			}
}
